Subject: bug#43678: 27.1; compiler warning if code forgets to require cl-lib

From: "Roland Winkler" <[email-masked]>
Date: Mon, 28 Sep 2020 23:06:02 +0200

On Mon Sep 28 2020 Stefan Monnier wrote:
> This is not specific to `cl-lib`.  It can happen with any macro if you
> forget to `require` the file that provides this macro, but the macro
> expansion (including compiler macros's expansion, i.e. optimizations) of
> some of the rest of your function ends up loading the file that provides
> this macro.

Then it seems to me that the error message could say that possibly we
forgot to require *a* library.   (You surely know the speculations
about the cause of a problem issued by the TeX compiler.  I do not
remember I ever saw such speculations coming from Emacs.  Maybe the
byte compiler should first run a session with a doctor
(M-x emacs-psychotherapist) to narrow down the cause of the
problem...)